Subject: Re: [PATCH v3 0/1] Fix empty SHA-256 clones with v0 and v1

From: "brian m. carlson" <[email-masked]>
Date: Wed, 17 May 2023 22:28:33 +0000

On 2023-05-17 at 21:48:39, Junio C Hamano wrote:
> "brian m. carlson" <[email-masked]> writes:
> 
> > We recently fixed empty clones with SHA-256 over protocol v2 by
> > honouring the hash algorithm specified even when no refs are present.
> > However, in doing so, we made it impossible to set up a v0 or v1
> > repository by cloning from an empty SHA-256 repository.  In doing so, we
> > also broke the Git LFS testsuite for SHA-256 repositories.
> >
> > This series introduces the dummy `capabilities^{}` entry for fetches and
> > clones from an empty repository for v0 and v1, just as we do for clones.
> > This is already supported by older versions of Git, as well as libgit2,
> > dulwich, and JGit.
> >
> > Changes since v2:
> > * Move advertisement of fake capabilities ref to a separate function to
> >   avoid an extra strcmp.
> 
> We want this in -rc2 if not -rc1 for the upcoming release, right?
> I've read the patch again and it all looked sensible.

If it's possible, that would be great.  I understand you just put out
-rc0, and I apologize for the delay in getting back to you, but it would
be ideal to avoid having the problem we're fixing in the release.
-- 
brian m. carlson (he/him or they/them)
Toronto, Ontario, CA